Get playlist info

Playlist metadata only — no videos (1 quota unit).

GET
/api/playlist/{id}/info

Path Parameters

id*string

Playlist ID or URL

Response Body

application/json

application/json

import { Router } from 'express'import { client } from '../lib.js'const router = Router()router.get('/playlist/:id/info', async (req, res) => {  const { id } = req.params  const info = await client!.playlistInfo(id)  res.json(info)})export const routes = router
{
  "id": "string",
  "title": "string",
  "description": "string",
  "thumbnails": {
    "default": {
      "url": "string",
      "width": 0,
      "height": 0
    },
    "medium": {
      "url": "string",
      "width": 0,
      "height": 0
    },
    "high": {
      "url": "string",
      "width": 0,
      "height": 0
    },
    "standard": {
      "url": "string",
      "width": 0,
      "height": 0
    },
    "maxres": {
      "url": "string",
      "width": 0,
      "height": 0
    }
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      "string"
    ]
  }
}